Package org.eclipse.emf.cdo.transaction

# Interface CDOTransactionOpener

All Known Subinterfaces:
  `CDONet4jSession`, `CDORepository`, `CDOSession`, `CDOSession`, `CDOTransactionContainer`, `InternalCDOSession`

All Known Implementing Classes:
  `CDOCompareEditorUtil.TransactionOpenerAndEditorCloser`

public interface CDOTransactionOpener
Can open new `transactions`.

Since:
  4.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOTransaction`
`openTransaction(String durableLockingID, ResourceSet resourceSet)`
Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.
`CDOTransaction`
`openTransaction(CDOBranchPoint target, ResourceSet resourceSet)`
Opens and returns a new `transaction` on the given EMF `resource set`.

## Method Details

### openTransaction

CDOTransaction openTransaction(CDOBranchPoint target, ResourceSet resourceSet)
Opens and returns a new `transaction` on the given EMF `resource set`.

### openTransaction

CDOTransaction openTransaction(String durableLockingID, ResourceSet resourceSet)
Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.